Bug 244555 - Double tags in the list of "My Tags"
Summary: Double tags in the list of "My Tags"
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Last.fm (show other bugs)
Version: 2.5-git
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-14 01:40 UTC by Rindert Vonk
Modified: 2012-12-16 17:17 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments
Screenshot of Tags list (45.38 KB, image/png)
2010-07-14 01:42 UTC, Rindert Vonk
Details
screenshot of last.fm "my tags" (95.49 KB, image/png)
2010-07-14 01:51 UTC, Valorie Zimmerman
Details
Last.fm My Tags station (201.92 KB, image/png)
2011-06-17 00:09 UTC, Valorie Zimmerman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rindert Vonk 2010-07-14 01:40:14 UTC
Version:           2.3.1 (using KDE 4.4.4) 
OS:                Linux

In the list of the "My tags" some tags I get a double entry. The first part of the list is ok. These are tags with a lot of uses. But when a tag is less used the tag is show multiple times. With me it happens at count 10.
The complete count of all tags is correct. I've got 53 tags in my profile on last.fm and 53 in the list.
To make things clear I've added a screen shot.


Reproducible: Always




OS: Linux (x86_64) release 2.6.34-020634-generic
Compiler: cc
Comment 1 Rindert Vonk 2010-07-14 01:42:12 UTC
Created attachment 49134 [details]
Screenshot of Tags list
Comment 2 Valorie Zimmerman 2010-07-14 01:51:36 UTC
Created attachment 49135 [details]
screenshot of last.fm "my tags"
Comment 3 Valorie Zimmerman 2010-07-14 01:52:33 UTC
Comment on attachment 49135 [details]
screenshot of last.fm "my tags"

Confirmed in latest GIT, build a couple of hours ago.
Comment 4 Myriam Schweingruber 2010-07-14 10:32:42 UTC
Confirmed by second reporter.
Comment 5 Myriam Schweingruber 2011-05-07 09:40:38 UTC
Is this still valid with Amarok 2.4.1, to be released tomorrow?
Comment 6 Valorie Zimmerman 2011-06-17 00:09:32 UTC
Created attachment 61062 [details]
Last.fm My Tags station

Yes, the bug still exists in Git built today.
Comment 7 Myriam Schweingruber 2011-06-17 09:49:44 UTC
Thank you for the feedback :)
Comment 8 Matěj Laitl 2012-12-15 22:23:44 UTC
Git commit fb28edf000e2d4ed32f6c0c57701400a97a57c92 by Matěj Laitl.
Committed on 15/12/2012 at 23:14.
Pushed by laitl into branch 'master'.

LastFmTreeModel: big cleanup; triggered by Mamarok-detected sloppy view behaviour

Also remove WeightedString, it wasn't needed at all in fact.

BUGFIXES:
 * Fix incorrect display of Last.fm tags and other items.
FIXED-IN: 2.7

M  +4    -0    ChangeLog
M  +2    -2    src/services/lastfm/LastFmService.cpp
M  +290  -272  src/services/lastfm/LastFmTreeModel.cpp
M  +16   -32   src/services/lastfm/LastFmTreeModel.h
D  +0    -45   src/services/lastfm/WeightedString.h
D  +0    -67   src/services/lastfm/WeightedStringList.h

http://commits.kde.org/amarok/fb28edf000e2d4ed32f6c0c57701400a97a57c92